<head>
	<meta charset="utf-8">
	<title>{{ .Title }}</title>

	{{ "<!-- mobile responsive meta -->" | safeHTML }}
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta name="description" content="{{ with .Description }}{{ . }}{{ else }}{{ with site.Params.description }}{{ . }}{{ end }}{{ end }}">
	{{ with site.Params.author }}
	<meta name="author" content="{{ . }}">{{ end }}
	{{ hugo.Generator }}

	{{ "<!-- plugins -->" | safeHTML }}
	{{ range site.Params.plugins.css }}
	<link rel="stylesheet" href="{{ .link | absURL }}">
	{{ end }}

	{{ $gidolefont := resources.Get "fonts/Gidole-Regular.ttf" }}
	{{ $gidolinyafont := resources.Get "fonts/Gidolinya-Regular.otf" }}

	<style>
		@font-face {
			font-family: "Gidole";
			src: url("{{ $gidolefont.Permalink }}");
		}
		@font-face {
			font-family: "Gidolinya";
			src: url("{{ $gidolinyafont.Permalink }}");
		}
	</style>

	<noscript>
		<style>
			.lozad {
				visibility: hidden;
				height: 0px;
				position: absolute;
			}
		</style>
	</noscript>

	<link rel="preconnect" href="https://fonts.gstatic.com">
	<link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap" rel="stylesheet"> 

	{{"<!-- Main Stylesheet -->"|safeHTML}}
	{{ with resources.Get "sass/style.scss" }}
		{{ $opts := dict "transpiler" "libsass" "targetPath" "css/style.css" }}
		{{ with . | toCSS $opts }}
			{{ if hugo.IsDevelopment }}
			<link rel="stylesheet" href="{{ .RelPermalink }}">
			{{ else }}
			{{ with . | minify | fingerprint }}
				<link rel="stylesheet" href="{{ .RelPermalink }}" integrity="{{ .Data.Integrity }}" crossorigin="anonymous">
			{{ end }}
			{{ end }}
		{{ end }}
	{{ end }}


	{{"<!-- Custom stylesheet - for your changes -->" |safeHTML}}
	{{ $custom := resources.Get "css/custom.css" | minify }}
  	<link rel="stylesheet" href="{{ $custom.Permalink }}" media="screen">

	{{ "<!--Favicon-->" | safeHTML }}
	<link rel="shortcut icon" href="{{ `images/favicon.png` | absURL }}" type="image/x-icon">
	<link rel="icon" href="{{ `images/favicon.png` | absURL }}" type="image/x-icon">

	{{ with site.Params.google_analytics_id }}
	{{ "<!-- Global Site Tag (gtag.js) - Google Analytics -->" | safeHTML }}
	<script async src="https://www.googletagmanager.com/gtag/js?id={{ . }}"></script>
	<script>
	  window.dataLayer = window.dataLayer || [];
	  function gtag(){dataLayer.push(arguments);}
	  gtag('js', new Date());

	  gtag('config', '{{ . }}');
	</script>
	{{ end }}

  <!-- https://github.com/gohugoio/hugo/blob/master/tpl/tplimpl/embedded/templates/opengraph.html -->
  <meta property="og:title" content="{{ .Params.title }}" />
  <meta property="og:description" content="{{ .Summary }}" />
  <meta property="og:type" content="{{ .Type }}" />
  <meta property="og:url" content="{{ .Permalink }}" />

  <!--  og:image -->
    {{ if .Params.thumbnail }}
      {{ $image := resources.Get .Params.thumbnail }}
      {{ $image := $image.Fill "1200x848" }}
        <meta property="og:image" content="{{ $image.Permalink }}" />
    {{ end }}
    {{ range .Params.images }}  
      {{ $image := resources.Get . }}
      {{ $image := $image.Fill "1200x848" }}
      <meta property="og:image" content="{{ $image.Permalink }}" />
    {{ end }}
    
    {{ if .Params.Image }}
      {{ $image := resources.Get .Params.Image }}
      {{ if $image }}
        {{ $image := $image.Fill "1200x848" }}    
        <meta property="og:image" content="{{ $image.Permalink }}" />
      {{ end }}
    {{ end }}
 
	{{ range .Params.extimages }}
	<meta property="og:image" content="{{ . }}" />
	{{ end }}

  {{- $iso8601 := "2006-01-02T15:04:05-07:00" -}}
  
  <meta property="article:section" content="{{ .Type }}" />
  {{ with .PublishDate }}<meta property="article:published_time" {{ .Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />{{ end }}
  {{ with .Lastmod }}<meta property="article:modified_time" {{ .Format $iso8601 | printf "content=%q" | safeHTMLAttr }} />{{ end }}
  
	{{- with .Params.videos }}{{- range . }}
	<meta property="og:video" content="{{ . | absURL }}" />
	{{ end }}{{ end }}

  <link rel="alternate" type="application/rss+xml" title="Koto Co-op blogs" href="https://kotocoop.org/blog/index.xml" />

</head>
